Overview
Examples
Screenshots
Comparisons
Applications
Download
Documentation
Tutorials
Bazaar
Status & Roadmap
FAQ
Authors & License
Forums
Funding Ultimate++
Search on this site
Search in forums












SourceForge.net Logo
Home » U++ TheIDE » U++ TheIDE: Compiling, Linking, Debugging of your packages » error: expected unqualified-id before '=' token
error: expected unqualified-id before '=' token [message #50686] Wed, 05 December 2018 09:42 Go to next message
forlano is currently offline  forlano
Messages: 1030
Registered: March 2006
Location: Italy
Experienced Contributor
Hello,

I get the errors

/home/luigi/upp/uppsrc/Core/ValueUtil.h (87): error: expected unqualified-id before '=' token
/home/luigi/upp/uppsrc/Core/ValueUtil.h (88): error: expected unqualified-id before '=' token

on lubuntu 18.10 and nightly build 12599. Theide was compiled with version 11393, but I think this should not be a problem.
Is this a known problem or it is my machine the need a review?

Thanks,
Luigi
Re: error: expected unqualified-id before '=' token [message #50704 is a reply to message #50686] Fri, 07 December 2018 09:34 Go to previous messageGo to next message
forlano is currently offline  forlano
Messages: 1030
Registered: March 2006
Location: Italy
Experienced Contributor
This fixed the problem in Core/ValueUtil.h
rows 87, 88

     Id(const String& s)                          { this->id = s; }
     Id(const char *s)                            { this->id = s; }
Re: error: expected unqualified-id before '=' token [message #50705 is a reply to message #50686] Fri, 07 December 2018 09:43 Go to previous messageGo to next message
mirek is currently offline  mirek
Messages: 11552
Registered: November 2005
Ultimate Member
forlano wrote on Wed, 05 December 2018 09:42
Hello,

I get the errors

/home/luigi/upp/uppsrc/Core/ValueUtil.h (87): error: expected unqualified-id before '=' token
/home/luigi/upp/uppsrc/Core/ValueUtil.h (88): error: expected unqualified-id before '=' token

on lubuntu 18.10 and nightly build 12599. Theide was compiled with version 11393, but I think this should not be a problem.
Is this a known problem or it is my machine the need a review?

Thanks,
Luigi


What is gcc --version ?
Re: error: expected unqualified-id before '=' token [message #50706 is a reply to message #50705] Fri, 07 December 2018 09:43 Go to previous messageGo to next message
mirek is currently offline  mirek
Messages: 11552
Registered: November 2005
Ultimate Member
(or clang --version, depends on what you use)
Re: error: expected unqualified-id before '=' token [message #50711 is a reply to message #50705] Sat, 08 December 2018 09:27 Go to previous messageGo to next message
forlano is currently offline  forlano
Messages: 1030
Registered: March 2006
Location: Italy
Experienced Contributor
mirek wrote on Fri, 07 December 2018 09:43


What is gcc --version ?



gcc (Ubuntu 7.3.0-27ubuntu1~18.04) 7.3.0
Copyright (C) 2017 Free Software Foundation, Inc.

Re: error: expected unqualified-id before '=' token [message #50724 is a reply to message #50686] Sun, 09 December 2018 12:39 Go to previous messageGo to next message
mirek is currently offline  mirek
Messages: 11552
Registered: November 2005
Ultimate Member
forlano wrote on Wed, 05 December 2018 09:42
Hello,

I get the errors

/home/luigi/upp/uppsrc/Core/ValueUtil.h (87): error: expected unqualified-id before '=' token
/home/luigi/upp/uppsrc/Core/ValueUtil.h (88): error: expected unqualified-id before '=' token

on lubuntu 18.10 and nightly build 12599. Theide was compiled with version 11393, but I think this should not be a problem.
Is this a known problem or it is my machine the need a review?

Thanks,
Luigi


I have tried lubuntu 18.10 with latest nightly and it seems to work fine.
Re: error: expected unqualified-id before '=' token [message #50725 is a reply to message #50724] Sun, 09 December 2018 16:43 Go to previous message
forlano is currently offline  forlano
Messages: 1030
Registered: March 2006
Location: Italy
Experienced Contributor
mirek wrote on Sun, 09 December 2018 12:39
forlano wrote on Wed, 05 December 2018 09:42
Hello,

I get the errors

/home/luigi/upp/uppsrc/Core/ValueUtil.h (87): error: expected unqualified-id before '=' token
/home/luigi/upp/uppsrc/Core/ValueUtil.h (88): error: expected unqualified-id before '=' token

on lubuntu 18.10 and nightly build 12599. Theide was compiled with version 11393, but I think this should not be a problem.
Is this a known problem or it is my machine the need a review?

Thanks,
Luigi


I have tried lubuntu 18.10 with latest nightly and it seems to work fine.


I am sorry for my bad quote. The problem appeared on a recently updated 18.04.
However it seems resolved in the new version.

Thanks,
Luigi
Previous Topic: I keep getting the same "cannot open exe for writing" error...
Goto Forum:
  


Current Time: Thu Dec 13 06:06:20 CET 2018

Total time taken to generate the page: 0.00639 seconds